#-*- coding: utf-8 -*-
"""
Created on Wed Apr 17 10:19:01 2024

@author: vlandgraf
"""

# -*- coding: utf-8 -*-
"""
Created on Mon Apr 15 11:07:53 2024

@author: vlandgraf

"""
import sys 

import Import_file_for_LSN_8_8_8 as LSN_functions
from functools import partial
from concurrent.futures import ProcessPoolExecutor
import time
import sys
import pickle as pkl

import rustworkx as rx
import numpy as np 
# from Import_file_for_LSN_8_8_8 import  x_zero, x_one,  x_one_to_zero, y_zero, y_one, y_one_to_zero, z_zero, z_one, z_one_to_zero
import random 
from Percolation_analysis_function import analyse_percolation_through_one_supercell
import matplotlib.pyplot as plt 
import glob
ea_list = np.arange(0.30, 0.62, 0.01)
ea_list = [int(k*100)/100 for k in ea_list]

file = glob.glob('*.pkl')[0]


probs_outer = {k:[] for k in ea_list}
fractions_outer = {k:[] for k in ea_list}

with open (file, 'rb') as h: 
   d =  pkl.load(h)

for ea in ea_list: 
# for ea in [ 0.1]:   

    fractions = []
    probs = []

    for i in d[:]:
        f, p = analyse_percolation_through_one_supercell(i, ea)
        # print('done one')
        fractions.extend(f)
        probs.extend(p)
    a = np.array(fractions)
    a = a[a>0]
    std_probs = np.std(probs)
    std_a = np.std(a)
    probs_outer[ea].append([np.average(probs), std_probs, std_probs/np.sqrt(len(probs))])
    fractions_outer[ea].append([np.average(a), std_a, std_a/np.sqrt(len(a))])
    print(ea)
base = file[:-4]  
fraction_name = base+'_FRACTIONS_AND_Probs.pkl'
      
with open(fraction_name, 'wb') as h: 
    tmp_dict = {'fractions': fractions_outer, 
                'probs': probs_outer}
    pkl.dump(tmp_dict, h)    
        
    
